<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<link rel="STYLESHEET" href="mailman-install.css" type='text/css' />
<link rel="first" href="mailman-install.html" title='GNU mailman - installation Manual' />
<link rel='last' href='about.html' title='About this document...' />
<link rel='help' href='about.html' title='About this document...' />
<link rel="next" href="node16.html" />
<link rel="prev" href="mail-server.html" />
<link rel="parent" href="mail-server.html" />
<link rel="next" href="postfix-integration.html" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name='aesop' content='information' />
<title>6.1 Using the Postfix mail server</title>
</head>
<body>
<div class="navigation">
<div id='top-navigation-panel' xml:id='top-navigation-panel'>
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="6 set up your"
  href="mail-server.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="6 set up your"
  href="mail-server.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="6.1.1 integrating Postfix and"
  href="postfix-integration.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - Installation Manual</td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="mail-server.html">6 Set up your</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="mail-server.html">6 Set up your</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="postfix-integration.html">6.1.1 Integrating Postfix and</a>
</div>
<hr /></div>
</div>
<!--End of Navigation Panel-->

<h2><a name="SECTION001610000000000000000">
6.1 Using the Postfix mail server</a>
</h2>

<p>
Mailman should work pretty much out of the box with a standard Postfix
installation.  It has been tested with various Postfix versions up to and
including Postfix 2.11.3 (as of April 2016).

<p>
In order to support Mailman's optional VERP delivery, you will want to disable
<code>luser_relay</code> (the default) and you will want to set
<code>recipient_delimiter</code> for extended address semantics.  You should comment
out any <code>luser_relay</code> value in your <span class="file">main.cf</span> and just go with the
defaults.  Also, add this to your <span class="file">main.cf</span> file:

<p>
<div class="verbatim"><pre>
    recipient_delimiter = +
</pre></div>

<p>
Using "<tt class="samp">+</tt>" as the delimiter works well with the default values for
<var>VERP_FORMAT</var> and <var>VERP_REGEXP</var> in <span class="file">Defaults.py</span>.

<p>
When attempting to deliver a message to a non-existent local address, Postfix
may return a 450 error code.  Since this is a transient error code, Mailman
will continue to attempt to deliver the message for
<var>DELIVERY_RETRY_PERIOD</var> - 5 days by default.  You might want to set
Postfix up so that it returns permanent error codes for non-existent local
users by adding the following to your <span class="file">main.cf</span> file:

<p>
<div class="verbatim"><pre>
    unknown_local_recipient_reject_code = 550
</pre></div>

<p>
Finally, if you are using Postfix-style virtual domains, read the section on
virtual domain support below.

<p>

<p><br /></p><hr class='online-navigation' />
<div class='online-navigation'>
<!--Table of Child-Links-->
<a name="CHILD_LINKS"><strong>Subsections</strong></a>

<ul class="ChildLinks">
<li><a href="postfix-integration.html">6.1.1 Integrating Postfix and Mailman</a>
<li><a href="postfix-virtual.html">6.1.2 Virtual domains</a>
<li><a href="node15.html">6.1.3 An alternative approach</a>
</ul>
<!--End of Table of Child-Links-->
</div>

<div class="navigation">
<div class='online-navigation'>
<p></p><hr />
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="6 set up your"
  href="mail-server.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="6 set up your"
  href="mail-server.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="6.1.1 integrating Postfix and"
  href="postfix-integration.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - Installation Manual</td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="mail-server.html">6 Set up your</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="mail-server.html">6 Set up your</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="postfix-integration.html">6.1.1 Integrating Postfix and</a>
</div>
</div>
<hr />
<span class="release-info">Release 2.1, documentation updated on August 26, 2016.</span>
</div>
<!--End of Navigation Panel-->

</body>
</html>
